Skip to content

# Interface: ClusterFeatureStatus

## Hierarchy

- ClusterFeatureStatus

## Index

### Properties

- canUpgrade
- currentVersion
- installed
- latestVersion

## Properties

### canUpgrade

• canUpgrade: boolean

Defined in src/extensions/cluster-feature.ts:20

whether the feature can be upgraded or not, as set by the implementation

### currentVersion

• currentVersion: string

Defined in src/extensions/cluster-feature.ts:14

feature's current version, as set by the implementation

### installed

• installed: boolean

Defined in src/extensions/cluster-feature.ts:18

whether the feature is installed or not, as set by the implementation

### latestVersion

• latestVersion: string

Defined in src/extensions/cluster-feature.ts:16

feature's latest version, as set by the implementation